Package org.apache.tomcat.util.threads

## Class TaskThreadFactory

- java.lang.Object
- - org.apache.tomcat.util.threads.TaskThreadFactory

All Implemented Interfaces:
  `ThreadFactory`

    public class TaskThreadFactory
    extends Object
    implements ThreadFactory

Simple task thread factory to use to create threads for an executor implementation.

### Constructor Summary

Constructors
`TaskThreadFactory​(String namePrefix, boolean daemon, int priority)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Thread` `newThread​(Runnable r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaskThreadFactory

    public TaskThreadFactory​(String namePrefix,
                             boolean daemon,
                             int priority)

### Method Detail

#### newThread

    public Thread newThread​(Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`